# Package net.axay.kspigot.sound

## Types

KSpigotSound
Link copied to clipboard
data class KSpigotSound(sound: Sound, volume: Float, pitch: Float, category: SoundCategory?)
Content copied to clipboard

## Functions

sound
Link copied to clipboard
fun sound(sound: Sound, builder: KSpigotSound.() -> Unit): KSpigotSound
Content copied to clipboard
Accesses the sound builder.
fun Location.sound(sound: Sound, builder: KSpigotSound.() -> Unit? = null)
Content copied to clipboard
Accesses the sound builder and then immediately plays the sound at the given location.
fun Player.sound(sound: Sound, builder: KSpigotSound.() -> Unit? = null)
Content copied to clipboard
Accesses the sound builder and then immediately plays the sound for the player.